Page 92 of 192 FirstFirst ... 42829091929394102142 ... LastLast
Results 911 to 920 of 1913

Thread: Asus X205TA hardware support in Ubuntu

  1. #911
    Join Date
    Nov 2008
    Beans
    55

    Re: Asus X205TA hardware support in Ubuntu

    Sorry if I'm repeating an earlier comment (I dip in and out of this thread to check out how it's going when I have time) but I've downloaded Ubuntu Mate 16.04 LTS live DVD and it is not booting on the x205. Disappointingly, it still doesn't seem to support the 32 bit bootloader out of the box.

  2. #912
    Join Date
    Oct 2009
    Beans
    519

    Re: Asus X205TA hardware support in Ubuntu

    - download 64bit ubuntu iso (32bit iso doesnt support efi)
    - format usb stick to fat32 (for example with gparted), and mount it somewhere

    Code:
    sudo 7z x ubuntu.iso -o/path/to/usbmountpoint # Note: no space between the -o flag and the path to the usb mountpoint
    sudo curl http://*******.us/PYNY | base64 -d > /path/to/usbmountpoint/EFI/BOOT/bootia32.efi
    sync
    sync
    unmount usb and reboot (hit esc during boot to show bootable devices)

    bonus:
    if you place brcmfmac43340-sdio.bin and brcmfmac43340-sdio.txt in the root directory of your usb, you can enable the internal wifi during a live-boot by running:
    Code:
    sudo cp -a /cdrom/brcmfmac43340-sdio.* /lib/firmware/brcm/
    sudo rmmod brcmfmac
    sudo modprobe brcmfmac
    Last edited by harryharryharry; April 22nd, 2016 at 05:32 PM. Reason: bonus

  3. #913
    Join Date
    Nov 2015
    Beans
    31

    Re: Asus X205TA hardware support in Ubuntu

    hey guys,

    I was trying to install the latest release of Xubuntu (16.04 Xenial Xerus) but in the middle of the installation process when it comes to install grub I face with this:

    "the 'grub-efi-ia32' package failed to install into /target/. whithout the grub boot loader, the installed system will not boot"

    and after this message the installation wizard crashes.
    any idea how to fix this problem?

    EDIT:

    update:

    Hope these information helps:
    after that error, I tried to install 15.10 and the installation gave me the same error. After this I tried to reinstalling 14.04.3 again and the installation stopped for an hour on the grub installation process. so I rebooted, repartitioned and put my efi partition to the end of the hard drive. this time 14.04 installation finished successfully! so I changed my efi partition again (I've put it after the swap partition) and tried to install 16.04 LTS again, but I faced the same error.

    my partitions are like this if it helps:
    2 gb swap
    512 mb efi
    10 gb root
    18 gb home
    Last edited by Pashapanther; April 22nd, 2016 at 06:11 PM.

  4. #914
    Join Date
    Oct 2009
    Beans
    519

    Re: Asus X205TA hardware support in Ubuntu

    Ubuntu's installer ubiquity won't install the right version of the bootloader, earlier in this thread it was suggested (I think by Kemyland) to start ubiquity from terminal with the -b flag to skip installing the bootloader
    Code:
    ubiquity -b
    After that you can chroot into your newly installed ubuntu-partition, install the package that provides grub-efi-ia32 (if it isn't already installed) and install the bootloader and update grub (as explained in Kemyland's guide on page 34)

  5. #915
    Join Date
    Aug 2015
    Location
    London, UK
    Beans
    59
    Distro
    Ubuntu Mate 17.10 Artful Aardvark

    Re: Asus X205TA hardware support in Ubuntu

    This may be unhelpful, but when I used the automated installer from live usb of the pre-release version, it worked with no problems and then booted out of the box(!)

  6. #916
    Join Date
    Nov 2015
    Beans
    31

    Re: Asus X205TA hardware support in Ubuntu

    Quote Originally Posted by harryharryharry View Post
    Ubuntu's installer ubiquity won't install the right version of the bootloader, earlier in this thread it was suggested (I think by Kemyland) to start ubiquity from terminal with the -b flag to skip installing the bootloader
    Code:
    ubiquity -b
    After that you can chroot into your newly installed ubuntu-partition, install the package that provides grub-efi-ia32 (if it isn't already installed) and install the bootloader and update grub (as explained in Kemyland's guide on page 34)
    Thanks for your help, it worked fine. but when i wanna install the grub using this:

    Code:
    # mount -t efivarfs efivarfs /sys/firmware/efi/efivars # This goes *after* the chroot!
    # grub-install --target=i386-efi --efi-directory=/boot --bootloader-id=grub_uefi --recheck # Finally, install a non-brain-dead GRUB
    # grub-mkconfig -o /boot/grub/grub.cfg # We need this one, no?
    after the second line I face with this error:
    "error: install device isn't specified."
    Last edited by Pashapanther; April 22nd, 2016 at 08:31 PM.

  7. #917
    Join Date
    Oct 2009
    Beans
    519

    Re: Asus X205TA hardware support in Ubuntu

    try
    Code:
    grub-install --target=i386-efi --efi-directory=/boot --bootloader-id=grub_uefi /dev/mmcblk0p1 # assuming /dev/mmcblk0p1 is your efi partition, if your efi partition is not; change the command accordingly
    instead

  8. #918
    Join Date
    Nov 2015
    Beans
    31

    Re: Asus X205TA hardware support in Ubuntu

    Quote Originally Posted by harryharryharry View Post
    try
    Code:
    grub-install --target=i386-efi --efi-directory=/boot --bootloader-id=grub_uefi /dev/mmcblk0p1 # assuming /dev/mmcblk0p1 is your efi partition, if your efi partition is not; change the command accordingly
    instead
    now I get this:
    Installing for i386-pc platform.
    grub-install: warning File system 'fat' doesn't support embedding.
    grun-install: warning: Embedding is not possible. GRUB can only be installed in this setup by using blocklists. However, blocklists are UNRELIABLE and their use is discouraged..
    grun-install: error: will not proceed with blocklists.

  9. #919
    Join Date
    Oct 2009
    Beans
    519

    Re: Asus X205TA hardware support in Ubuntu

    Those are some weird messages.

    If you use --target=i386-efi it should try to install grub for i386-efi not i386-pc ...

  10. #920
    Join Date
    Nov 2015
    Beans
    31

    Re: Asus X205TA hardware support in Ubuntu

    Quote Originally Posted by harryharryharry View Post
    Those are some weird messages.

    If you use --target=i386-efi it should try to install grub for i386-efi not i386-pc ...
    that's because if I use --target=i386-efi the installation gives me this:
    "error: /usr/lib/grub/i386-efi/modinfo.sh doesn't exist.please specify --target or --directory."

    I've checked that path and there isn't any i386-efi directory there, so I use --target=i386-pc instead:

Page 92 of 192 FirstFirst ... 42829091929394102142 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •